<?php
final class EntryListAction extends AppAction {
    /**
     * @var EntryListDao
     */
    protected $dao = NULL;
    /**
     * @var EntryListDto
     */
    protected $dto = NULL;
    public function __construct() {
    }
    /**
     * @return EntryListDto
     */
    public function getDto() {
        return $this->dto;
    }
    public function index() {
        $this->dto->setEntries($this->dao->selectEntries($this->dto->getUno(), $this->dto->getTno()));
        $this->dto->setStatus($this->dao->selectTournament($this->dto->getUno(), $this->dto->getTno()));
        return new SessionForward();
    }
}
// EOF.
